# NinjaPanel

NinjaPanel is a simple, easy-to-configure display for LDB data objects. If you're not familiar with LDB, it's a simple standard that addon authors can use to provide information to other addons without needing to write any code specifically for them. This is helping to break the fubar/titan stronghold by providing a standard flexible enough to let any addon display the information.
In fact its so easy to configure because there are basically no options right now!

## Okay, so what does it do?

NinjaPanel will display any LDB plugins you have installed. Currently it displays all of them, although options are forthcoming to disable the display for certain plugins. It also can provide you quick access to addon options and other configurations via "launchers", simple icons that sit on the panel. Most addons that provide minimap icons (which we all hate) also provide launchers. All plugins can be dragged around the panel to re-order them, so they're displayed exactly as you'd like them to be.

## Where are the options?

There aren't currently many configuration options for this addon other than the ability to enable or disable specific plugins, but I wanted to get a release out to get some feedback from the community. You can expect the following options to be implemented at some point:
- Display the panel on the top, bottom, left or right of the screen
- Change the height/width of the panel
- Customize data objects to hide the icon, text, etc.

## So where do I get plugins?

You may be surprised at how many addons already provide some sort of LDB data object, but if you're looking for new ones to try out you can check the category listings at your favorite addon sites. Search for "broker" or "LDB" and see what you find!

## How did you manage to get TomTom Crazy Arrow in the panel

NinjaPanel introduces support for icon colors and coordinates using the following fields in the LDB data object:

- iconR - The red component value of the color
- iconG - The green component value of the color
- iconB - The blue component value of the color
- iconCoords - A table containing the texCoords to be set on the icon

I will soon expand iconCoords to support the 8-value version, as well as iconRotate to support arbitrary rotations using the new API.

These features are used in the latest version of TomTom to allow you to display the crazy arrow in NinjaPanel.

## Anything else?

Please feed free to leave any suggestions or feedback! I'm interested to see what the community would like to see in a panel addon that I can easily provide.

Thanks for using my addons!
